/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         /*slideCount = 1;
         //cambiar según el número de slides
         var numOfSlides = 4;
         //sym.$("textCount").html(slideCount+ "of " + numOfSlides);
         sym.getSymbol("slide_"+slideCount).stop(0);
         sym.showSlide = function (slideDirection){
         	slideCount = slideCount + slideDirection;
            sym.getComposition().getStage().stop("slide_"+slideCount);
            sym.getSymbol("slide_"+slideCount).stop(0);
         	//Beyond 22, change to 1
         	if (slideCount < numOfSlides){ 
         	sym.$('bt_next').css("visibility","visible");
         	}
         	if (slideCount == numOfSlides){
         	slideCount = numOfSlides;
         	sym.$('bt_next').css("visibility","hidden");
         	} 
         	if (slideCount <= 1){ 
         	sym.setVariable("slideCount", 1);
         }
         }
         //se definen las variables de los simbolos
         
         var btNext = sym.getSymbol("bt_next").$("hotspot_area_next");
         var btBack = sym.getSymbol("bt_back").$("hotspot_area_back");
         // Mostrar un elemento
         
         // Mostrar un elemento 
         
         
         btBack.bind("click", function() {
         if (slideCount > 1){ 
         	sym.getComposition().getStage().showSlide(-1);
         }
         });
         btBack.bind("mouseup", function() {
         sym.getSymbolElement.stop("up");
         });
         btBack.bind("mouseout", function() {
         sym.getSymbol("bt_back").stop("normal");
         });
         
         btBack.bind("mousedown", function() {
         sym.getSymbol("bt_back").stop("down");
         });
         
         btBack.bind("mouseover", function() {
         sym.getSymbol("bt_back").stop("over");
         });
         
         btNext.bind("click", function() {
         	sym.getComposition().getStage().showSlide(1);
         });
         btNext.bind("mouseup", function() {
         sym.getSymbolElement.stop("up");
         });
         btNext.bind("mouseout", function() {
         sym.getSymbol("bt_next").stop("normal");
         });
         
         btNext.bind("mousedown", function() {
         sym.getSymbol("bt_next").stop("down");
         });
         
         btNext.bind("mouseover", function() {
         sym.getSymbol("bt_next").stop("over");
         });*/

      });
      //Edge binding end
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.stop();
         //cargar actividad-reemplazar la carpeta según el código - cambiar el simbolo de acuerdo a donde carga
         
         //EC.loadComposition("composiciones/01_01/index.html", sym.getSymbol('slide_1'));
         
         //textos
         /*$(sym.lookupSelector("momento")).html("Desarrollo");
         $(sym.lookupSelector("num_actividad")).html("Actividad 01");
         $(sym.lookupSelector("descripcion")).html("Lorem ipsum dolor sit amet, consectetur");
         $(sym.lookupSelector("instruccion")).html("Lorem ipsum dolor sit amet, consectetur");*/

      });
      //Edge binding end
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         sym.getSymbol("ruleta").play();
         sym.getSymbol("ruleta").getSymbol("sim_brillo").play();
         
         sym.$("word").fadeOut("slow");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'ruleta'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>M</span>aleta");
         //sym.getComposition().getStage().$("word").show();
         sym.getComposition().getStage().$("word").show();
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_m").show();
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12000, function(sym, e) {
         sym.stop(12250);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12250, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>T</span>alón");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_t").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>Z</span>apato");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_z").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 19000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>B</span>alón");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_b").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 21000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>D</span>ía");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_d").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 27000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>N</span>iña");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_n").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 30000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>P</span>asta");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_p").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 32000, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().getSymbol("word").$("content").html("<span class='color-red'>S</span>alón");
         sym.getComposition().getStage().$("word").fadeIn("slow");
         sym.getComposition().getStage().getSymbol("word").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("bt_audio_d").hide();
         sym.getComposition().getStage().$("bt_audio_b").hide();
         sym.getComposition().getStage().$("bt_audio_z").hide();
         sym.getComposition().getStage().$("bt_audio_t").hide();
         sym.getComposition().getStage().$("bt_audio_m").hide();
         sym.getComposition().getStage().$("bt_audio_s").hide();
         sym.getComposition().getStage().$("bt_audio_p").hide();
         sym.getComposition().getStage().$("bt_audio_n").hide();
         sym.getComposition().getStage().$("bt_audio_s").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Ellipse}", "click", function(sym, e) {
         sym.play();
         sym.getSymbol("sim_brillo").play();
         sym.getComposition().getStage().$("word").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 34000, function(sym, e) {
         sym.stop(4000);

      });
      //Edge binding end

   })("ruleta");
   //Edge symbol end:'ruleta'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'sim_brillo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 750, function(sym, e) {
         sym.stop(0);

      });
      //Edge binding end

   })("sim_brillo");
   //Edge symbol end:'sim_brillo'

   //=========================================================
   
   //Edge symbol: 'word'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("word");
   //Edge symbol end:'word'

   //=========================================================
   
   //Edge symbol: 'sim_children'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2800, function(sym, e) {
         
         sym.play(1001);

      });
      //Edge binding end

   })("sim_children");
   //Edge symbol end:'sim_children'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio_m");
   //Edge symbol end:'bt_audio_m'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         
         } else {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_t");
   //Edge symbol end:'bt_audio_t'

   //=========================================================
   
   //Edge symbol: 'bt_audio_t_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_z");
   //Edge symbol end:'bt_audio_z'

   //=========================================================
   
   //Edge symbol: 'bt_audio_m_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_b");
   //Edge symbol end:'bt_audio_b'

   //=========================================================
   
   //Edge symbol: 'bt_audio_z_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_d");
   //Edge symbol end:'bt_audio_d'

   //=========================================================
   
   //Edge symbol: 'bt_audio_b_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_n");
   //Edge symbol end:'bt_audio_n'

   //=========================================================
   
   //Edge symbol: 'bt_audio_b_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("p");
   //Edge symbol end:'p'

   //=========================================================
   
   //Edge symbol: 'bt_audio_b_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_s");
   //Edge symbol end:'bt_audio_s'

   //=========================================================
   
   //Edge symbol: 'bt_audio_z_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         	sym.stop("up");
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().getSymbol("sim_children").play(1001);
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.getComposition().getStage().getSymbol("sim_children").stop(1000);
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_p");
   //Edge symbol end:'bt_audio_p'

})(jQuery, AdobeEdge, "EDGE-5531445");